> ## Documentation Index
> Fetch the complete documentation index at: https://docs.timelines.global/llms.txt
> Use this file to discover all available pages before exploring further.

# List Teammates

> List all teammates in the workspace.



## OpenAPI

````yaml get /workspace/teammates
openapi: 3.0.3
info:
  title: Timelines Public API
  description: >
    # Timelines Public API


    _Some API calls may utilize message sending quota or be subject to message
    sending rate limits as described below._


    ### Credit Utilization 
      - Sending a message via API consumes 1 credit from message sending quota.
      - Sending a message with non-empty text and attachment consumes 2 credits from message sending quota.
      - If a message cannot be sent (invalid or not connected to WhatsApp number, WhatsApp server error), message sending quota will be restored (usually within a couple of hours).
    ### Message sending rate
      - Messages will be sent with random delay of about 2 seconds between each two messages (to avoid WhatsApp spam detection mechanisms). Contact support@timelines.global if you want to modify delay for your workspace (available on Business plan only).
      - If you exceed message sending frequency, messages be queued and sent out with delay. Each queued message will consume a message sending credit, so the number of queued messages cannot exceed the available quota.
      
    ### Authorization:
      - Copy API token from [Public API page](https://app.timelines.global/integrations/api/) in your Timelines Global account.
      - Put the token in *Authorization* header of request as follows:
      ```
      Authorization: Bearer 4d2d0239-e28c-4f4a-8a4d-3a3ca40056b8
      ```
            
    ### Message formatting:
      - use "\n" for line breaks
  version: 1.3.0
servers:
  - url: https://app.timelines.global/integrations/api
    description: Production
  - url: https://staging.app.timelines.global/integrations/api
    description: Staging
security:
  - bearerAuth: []
paths:
  /workspace/teammates:
    get:
      summary: List all teammates in the workspace.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceTeammatesResponse'
        '400':
          $ref: '#/components/responses/BadRequestError'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '403':
          $ref: '#/components/responses/AccessDenied'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  schemas:
    WorkspaceTeammatesResponse:
      type: object
      required:
        - status
        - data
      properties:
        status:
          type: string
          example: ok
          enum:
            - ok
            - error
        data:
          $ref: '#/components/schemas/WorkspaceTeammatesList'
    WorkspaceTeammatesList:
      type: object
      properties:
        teammates:
          type: array
          items:
            $ref: '#/components/schemas/WorkspaceTeammatesItem'
    ErrorResponse:
      required:
        - message
        - status
      type: object
      properties:
        message:
          type: string
        status:
          type: string
          example: error
          enum:
            - ok
            - error
    WorkspaceTeammatesItem:
      required:
        - user_id
        - display_name
        - email
        - status
        - created_at
      type: object
      properties:
        user_id:
          type: integer
          description: Unique identifier for the user
          example: 42
        display_name:
          type: string
          description: Display name of the user
          example: John Doe
        role:
          type: string
          description: Role of the user in the workspace
          example: owner
        email:
          type: string
          description: Email address of the user
          example: admin@timelines.global
        status:
          type: string
          description: Status of the user
          example: active
        created_at:
          type: string
          description: Timestamp of user creation
          example: 2026-02-22 00:00:00 +0100
        whatsapp_accounts:
          type: array
          items:
            $ref: '#/components/schemas/WhatsappAccountItem'
    WhatsappAccountItem:
      type: object
      required:
        - id
        - phone
        - connected_on
        - status
        - owner_name
        - owner_email
        - account_name
      properties:
        id:
          example: 972501111111@s.whatsapp.net
          type: string
        phone:
          example: '+972540000001'
          type: string
        connected_on:
          example: 2023-06-18 15:19:23 +0100
          type: string
        status:
          example: Active
          type: string
        owner_name:
          example: John Doe
          type: string
        owner_email:
          example: john.doe@acme.com
          type: string
        account_name:
          example: John Doe
          type: string
  responses:
    BadRequestError:
      description: Invalid parameters
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    UnauthorizedError:
      description: Access token is missing or invalid
    AccessDenied:
      description: Access denied
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFound:
      description: Specified entities not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````